
QGIS Application - Bug report #10606

empty attribute form is open while opening attribute table

2014-06-17 01:42 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19010

Description

If the layer has a custom UI form.

When opening the attribute dialog, an empty form is also open.

Associated revisions

Revision 0ce4cbf4 - 2014-06-19 12:48 PM - Matthias Kuhn

Show embedded form as widget, not as separate dialog

Fix #10573

Fix #10606

History

#1 - 2014-06-17 08:28 AM - Martin Dobias

- Status changed from Open to Feedback

I cannot replicate

#2 - 2014-06-18 03:44 AM - Tudor Bărăscu

- File Screen_Shot_2014-06-18_at_1.41.28_PM.png added

I also exhibit this. Moreover, I noticed the empty form does not closes when clicking the x button on the forms top right corner. However it closes when

clicking the ok/cancel buttons.

#3 - 2014-06-18 07:15 AM - Martin Dobias

Is this windows only problem?

#4 - 2014-06-18 07:48 AM - Denis Rouzaud

Sorry i did not reply earlier.

This might be limited to layers with relations and related to #10573.

I cant check now, but will ask Matthias.
#5 - 2014-06-19 12:32 AM - Matthias Kuhn

It's related.

I have a fix for it ready, will take care of this.

#6 - 2014-06-19 03:54 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"0ce4cbf4bab83ba1719e025892d6eb8970417c90".

Files

Screen_Shot_2014-06-18_at_1.41.28_PM.png 65.6 KB 2014-06-18 Tudor Bărăscu
